Name:           yabsc
Version:        0.9.4
Release:        5.1
Summary:        Yet Another Build Service Client
URL:            http://www.funktronics.ca/yabsc/
License:        GPL
Group:          Development/Tools/Other
Source0:         %{name}-%{version}.tar.bz2
Source1:	yabsc.png
BuildRoot:      %{_tmppath}/%{name}-buildroot
%{py_requires}
BuildRequires:  python-devel update-desktop-files
Requires:       python-qt4 osc
%if %{?suse_version: %{suse_version} > 1110} %{!?suse_version:1}
BuildArch: noarch
%define python_sitelib %py_sitedir
%define python_sitearch %py_sitedir
%endif

%description
Yabsc is an openSUSE Build Service client which focuses on reporting results.

It is written in Python using the PyQt4 and osc libraries.

Authors:
--------
    James Oakley <jfunk@opensuse.org>

%prep
%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
# Create desktop-file
%{__cat} > %{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Yabsc
GenericName=openSUSE Build Service Client
Type=Application
Exec=yabsc
Icon=yabsc
Categories=Development;Building;
Comment=openSUSE Build Service Client
StartupNotify=true
Terminal=false
EOF
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES
%suse_update_desktop_file -i %{name}

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc COPYING
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog

* Wed Sep 16 2009  - Kyrill Detinov <lazy.kent.suse@gmail.com> - 0.9.4
- added icon and desktop-file

* Mon Mar 23 2009 - James Oakley <jfunk@funktronics.ca> - 0.9.4-1
- Update to 0.9.4
  * Fix date parsing in workers tab. Patch from Bernhard Walle <bwalle@suse.de>
  * Fix apiurl handling after change in osc 0.115

* Fri Dec 19 2008 - James Oakley <jfunk@funktronics.ca> - 0.9.3-1
- Update to 0.9.3
  * When adding a project to the watchlist, create the watchlist if it does not
    exist
  * Fix broken submitreq sorting
  * Add filtering widgets to submitreq view

* Tue Dec 16 2008 - James Oakley <jfunk@funktronics.ca> - 0.9.2-1
- Update to 0.9.2
  * Fixed broken project context menu
  * The data refresh interval is now configurable
  * The status bar now displays messages when waiting for API calls
  * Eliminated delay when switching views
  * Fix package download to match change in osc

* Mon Dec 01 2008 - James Oakley <jfunk@funktronics.ca> - 0.9.1-1
- Update to 0.9.1
  * Allow both old and new style apiurls in .oscrc

* Mon Dec 01 2008 - James Oakley <jfunk@funktronics.ca> - 0.9-1
- Update to 0.9
  * Update for OSC API changes
  * Added build history view
  * Added commit log view
  * Running builds can be aborted. Works for individual packages and entire
    projects

* Tue Sep 12 2008 - Dirk Mueller <dmueller@suse.de>
- Filelist fix

* Tue Aug 26 2008 - James Oakley <jfunk@funktronics.ca> - 0.8-1
- Update to 0.8
  * Restructured models and views to be more efficient
  * Added a submit request view (Thanks to Dirk Mueller <dmueller@suse.de>)
  * Added a scheduled packages tab to the result view
  * Resulting package binaries can be viewed and downloaded
  * Projects can be added to and removed from the watchlist by right-clicking
    them in the project list
  * Rebuilds can now be triggered directly in the result view by right clicking
    on the package, or a specific result
  * Can now view running build logs in the worker tab
  * Worker jobs running for longer than 1 hour are colour-coded like in the
    webclient
  * Added filter options for worker lists
  * Displays number of packages in the wait queue for each arch in the status
    bar

* Tue Jun 03 2008 - James Oakley <jfunk@funktronics.ca> - 0.7-1
- Fix refresh for initial widget

* Thu Mar 13 2008 - James Oakley <jfunk@funktronics.ca> - 0.7-1
- Update to 0.7:
  - Views can be exported to text files. Patch from Michal Vyskocil <mvyskocil@suse.cz>
  - Added a worker status tab

* Fri Mar 07 2008 - James Oakley <jfunk@funktronics.ca> - 0.6-1
- Update to 0.6:
  - Window size persistence
  - Project selection persistence
  - Configurable autoscroll for finished build logs

* Thu Mar 06 2008 - James Oakley <jfunk@funktronics.ca> - 0.5-1
- Update to 0.5:
  - Go directly to build log if an appropriate status is clicked in the All tab
  - Show details for blocked and building packages in the package info view

* Wed Mar 05 2008 - James Oakley <jfunk@funktronics.ca> - 0.4-1
- Update to 0.4:
  - Added incremental search
  - Added target filter

* Tue Mar 04 2008 - James Oakley <jfunk@funktronics.ca> - 0.3-1
- Update to 0.3:
  - API calls are now made in separate threads
  - Color status patch from Dirk Mueller

* Thu Feb 28 2008 - James Oakley <jfunk@funktronics.ca> - 0.2-1
- Update to 0.2:
  - The "All" tab now displays results for all targets
  - Views now use more flexible custom data models

* Thu Feb 28 2008 - James Oakley <jfunk@funktronics.ca> - 0.1-1
- Initial release
